Subject: bug#65908: 29.1.50; Emacs 29 regresses on macOS

From: Eli Zaretskii <[email-masked]>
Date: Thu, 05 Oct 2023 20:02:41 +0300

> Date: Thu, 5 Oct 2023 17:33:56 +0100
> From: Alan Third <[email-masked]>
> Cc: Gerd Möllmann <[email-masked]>,
> 	[email-masked], [email-masked],
> 	[email-masked], [email-masked]
> 
> On Thu, Oct 05, 2023 at 07:11:01PM +0300, Eli Zaretskii wrote:
> > > From: Gerd Möllmann <[email-masked]>
> > > Cc: Eli Zaretskii <[email-masked]>,  [email-masked],
> > >   [email-masked],  [email-masked],  [email-masked]
> > > Date: Thu, 05 Oct 2023 15:18:42 +0200
> > > 
> > > I'd like to propose the attached patch for problem of invalid LANG
> > > setting.  This simply falls back to "en_US.UTF-8" if LANG isn't valid,
> > > or something valid can't be deduced from the locale.
> > 
> > Why is it reasonable to force the UTF-8 codeset as the fallback?
> 
> Both the macOS terminals I have access to use UTF-8 as their default,
> and I'm not sure if they even let you change it. Therefore it seemed
> reasonable to me that the default for Emacs should also be UTF-8.

Are you saying that macOS doesn't support non-UTF-8 encodings?

> > What about having a variable exposed to Lisp that allows the users to
> > control the fallback value of LANG?
> 
> Is this not too early in startup for that? If not then couldn't the
> user just use setenv and avoid this whole thing?

Maybe that's fine, I just asked a question.